<div class="top-gain-wrapper mt-lg-5">
    <div class="row card-headers">
      <div
        class="d-lg-none separator"
        style="width: 100%; height: 26px"
      ></div>
      <div class="col card-title">
        <span>Top Gainers</span>
      </div>
      <div class="col-auto card-action d-lg-inline d-none">
        <a (click)="handleViewAll()">View all Gainers</a>
      </div>
      <div class="separator" style="width: 100%; height: 13px"></div>
    </div>
    <div class="row">
      <div class="col-lg-6 px-lg-3 mb-2 mb-lg-4" *ngFor="let tg of topGainerLoser['topgainers']">
        <app-info-card 
          name={{tg.company}}
          img={{tg.logo}}
          price={{tg.price}}
          company={{tg.sector}}
          stats={{tg.gain}}
          symbol={{tg.symbol}}
          companyId={{tg.companyId}}
          [sector] = "tg.sector"
          previous_price={{tg.yesterday_price}}
        >
        </app-info-card>
      </div>
    </div>

    <div class="mobile-btn-common card">
      <button class="btn" (click)="handleViewAll()">View all Stocks</button>
    </div>
  </div>